[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TEncoding.GetMaxCharCount

Return the maximum number of characters that can be represented in a number of bytes

## Declaration

Source position: sysencodingh.inc line 87

`public function TEncoding.GetMaxCharCount(`
`ByteCount: Integer`
`):Integer; virtual; abstract;`

## Description

GetMaxCharCount returns the theoretical maximum number of characters that can be represented in a buffer of length ByteCount in the given encoding. Note that the actual number of characters that can be represented may well be much less and depends on the encoding and the actual characters.

This is an abstract method, implemented by descendents of TEncoding.

## See also

TEncoding.GetMaxByteCount |  | Returns the maximum number of bytes needed to represent a string